> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sociavault.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Comments

> Scrapes comments from a TikTok video

<Note>
  💳 **1 credit** per request
</Note>


## OpenAPI

````yaml GET /v1/scrape/tiktok/comments
openapi: 3.1.0
info:
  title: SociaVault API
  version: 1.0.0
  description: >-
    # SociaVault API Documentation


    The SociaVault API provides comprehensive access to social media data
    extraction across multiple platforms.


    ## Features


    - **Multi-Platform Support**: TikTok, Instagram, YouTube, Facebook, Twitter,
    Reddit, Threads, and more

    - **Credit-Based System**: Pay-as-you-go pricing with transparent credit
    costs

    - **High Performance**: Fast, reliable data extraction

    - **Comprehensive Data**: Detailed user profiles, videos, posts, comments,
    and analytics


    ## Authentication


    All API requests require authentication using an API key in the `X-API-Key`
    header:


    ```bash

    X-API-Key: sk_live_your_api_key_here

    ```


    Get your API key from the [SociaVault
    Dashboard](https://sociavault.com/dashboard).


    ## Credits


    Each endpoint consumes credits based on data complexity:

    - Simple requests (profiles): 1 credit

    - Complex requests (demographics): 20+ credits

    - Paginated requests: Credits per page


    Check your credit balance in the dashboard or via the API.


    ## Support


    - **Documentation**: https://docs.sociavault.com

    - **Email**: support@sociavault.com

    - **Discord**: https://discord.gg/sociavault
  contact:
    name: SociaVault Support
    email: support@sociavault.com
    url: https://sociavault.com/support
  license:
    name: Commercial
    url: https://sociavault.com/terms
servers:
  - url: https://api.sociavault.com
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: account
    description: Account management and credit balance
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/account
  - name: tiktok
    description: Scrape TikTok profiles, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok
  - name: tiktok-shop
    description: Everything about TikTok Shop
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok-shop
  - name: instagram
    description: Gets Instagram profiles, posts, and reels
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/instagram
  - name: youtube
    description: Scrape YouTube channels, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/youtube
  - name: linkedin
    description: Scrape LinkedIn
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedin
  - name: facebook
    description: Get public Facebook profiles and posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebook
  - name: facebookAdLibrary
    description: Scrapes the Facebook (Meta) Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookAdLibrary
  - name: facebookMarketplace
    description: Search Facebook Marketplace and pull full listing details
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookMarketplace
  - name: googleAdLibrary
    description: >-
      Scrape the Google Ad Transparency Library. *This only gets the public ads.
      Some ads you need to log in for and sadly we can't get those. Also, since
      there are so many variations, the return types might not all be 100% the
      same.
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/googleAdLibrary
  - name: linkedinAdLibrary
    description: Search the LinkedIn Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedinAdLibrary
  - name: twitter
    description: Get Twitter profiles, tweets, followers and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/twitter
  - name: reddit
    description: Scrape Reddit posts and comments
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/reddit
  - name: threads
    description: Get Threads posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/threads
  - name: google
    description: Scrape Google search results
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/google
paths:
  /v1/scrape/tiktok/comments:
    get:
      tags:
        - tiktok
      summary: Comments
      description: Scrapes comments from a TikTok video
      operationId: tiktok_Comments
      parameters:
        - name: url
          in: query
          description: TikTok video URL
          required: true
          schema:
            type: string
        - name: cursor
          in: query
          description: Cursor to get more comments. Get 'cursor' from previous response.
          required: false
          schema:
            type: integer
            example: 20
        - name: trim
          in: query
          description: Set to true to get a trimmed response
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: >-
            Successful response


            **Key Response Fields:**

            - `data.comments[].cid`: Unique comment ID

            - `data.comments[].text`: Comment text

            - `data.comments[].create_time`: Unix timestamp of when the comment
            was posted

            - `data.comments[].digg_count`: Number of likes on the comment

            - `data.comments[].reply_comment_total`: Number of replies to this
            comment

            - `data.comments[].comment_language`: Language code of the comment
            (e.g. `en`)

            - `data.comments[].is_author_digged`: Whether the video author liked
            this comment

            - `data.comments[].author_pin`: Whether the video author pinned this
            comment

            - `data.comments[].reply_id`: ID of the parent comment (`0` if
            top-level)

            - `data.comments[].aweme_id`: ID of the video this comment belongs
            to

            - `data.comments[].image_list`: Attached images (if any)

            - `data.comments[].label_list[].text`: Labels like "Creator liked"

            - `data.comments[].user.unique_id`: Commenter's TikTok username

            - `data.comments[].user.nickname`: Commenter's display name

            - `data.comments[].user.uid`: Commenter's user ID

            - `data.comments[].user.sec_uid`: Commenter's secure user ID

            - `data.comments[].user.avatar_thumb.url_list[0]`: Commenter's
            profile picture

            - `data.total`: Total number of comments on the video

            - `data.has_more`: Whether more comments are available (`1` = yes)

            - `data.cursor`: Pagination cursor — pass as `cursor` parameter to
            get the next page
          content:
            application/json:
              examples:
                full:
                  summary: Full Response
                  value:
                    success: true
                    data:
                      success: true
                      alias_comment_deleted: false
                      comments:
                        '0':
                          allow_download_photo: true
                          author_pin: false
                          aweme_id: '7251387037834595630'
                          cid: '7272047794442912558'
                          collect_stat: 0
                          comment_language: en
                          comment_post_item_ids: null
                          create_time: 1693155594
                          digg_count: 805
                          fold_status: -1
                          image_list: null
                          is_author_digged: true
                          is_comment_translatable: true
                          is_high_purchase_intent: false
                          label_list:
                            '0':
                              text: 作成者がいいねした
                              type: 20
                          no_show: false
                          reply_comment: null
                          reply_comment_total: 19
                          reply_id: '0'
                          reply_to_reply_id: '0'
                          share_info:
                            acl:
                              code: 0
                              extra: '{}'
                            desc: >-
                              OnePlanet’s comment: You can’t Rick roll me I love
                              this song
                            title: >-
                              #rickroll #rickastley #nevrgonnagiveyouup #foryou
                              #fyp #xyzbca Send this to someone to Rick Roll
                              them
                            url: >-
                              https://m.tiktok.com/v/7251387037834595630.html?_d=0&comment_author_id=7153358223394817067&preview_pb=0&share_comment_id=7272047794442912558&share_item_id=7251387037834595630&sharer_language=ja-JP&source=h5_m&u_code=0
                          sort_extra_score:
                            reply_score: 0.000106
                            show_more_score: 0.06976
                          sort_tags: '{"author_digg":1,"top_list":1}'
                          status: 1
                          stick_position: 0
                          text: You can’t Rick roll me I love this song
                          text_extra: {}
                          thread_has_more: false
                          thread_id: 0
                          trans_btn_style: 1
                          user:
                            account_labels: null
                            ad_cover_url: null
                            advance_feature_item_order: null
                            advanced_feature_info: null
                            avatar_thumb:
                              uri: >-
                                tos-useast8-avt-0068-tx2/f7a81546e91314dda01afc026eeff233
                              url_list:
                                '0': >-
                                  https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/f7a81546e91314dda01afc026eeff233~tplv-tiktokx-cropcenter:100:100.jpg?dr=9640&refresh_token=cbace1a2&x-expires=1770660000&x-signature=lX8s2E%2B4vmVz2zv9nKpXCaSXbMM%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast5
                                '1': >-
                                  https://p16-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/f7a81546e91314dda01afc026eeff233~tplv-tiktokx-cropcenter:100:100.jpg?dr=9640&refresh_token=bdfd42c6&x-expires=1770660000&x-signature=FRbSK1iVMhQ9DCqKU939v6QveS8%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast5
                                '2': >-
                                  https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/f7a81546e91314dda01afc026eeff233~tplv-tiktokx-cropcenter:100:100.jpeg?dr=9640&refresh_token=4611ef21&x-expires=1770660000&x-signature=FXHY4VeupBV%2FiQKNIZLrDF7LEuo%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast5
                              url_prefix: null
                            bold_fields: null
                            can_message_follow_status_list: null
                            can_set_geofencing: null
                            cha_list: null
                            cover_url: null
                            custom_verify: ''
                            enterprise_verify_reason: ''
                            events: null
                            followers_detail: null
                            geofencing: null
                            homepage_bottom_toast: null
                            item_list: null
                            mutual_relation_avatars: null
                            need_points: null
                            nickname: OnePlanet
                            platform_sync_info: null
                            relative_users: null
                            search_highlight: null
                            sec_uid: >-
                              MS4wLjABAAAAHmEregfkxiGcEZexDX_RwtxElmRnlVWsrTIMcTwHcY-s7SgCwR8huf_07HCynoAZ
                            shield_edit_field_info: null
                            type_label: null
                            uid: '7153358223394817067'
                            unique_id: oneplanet.rr
                            user_profile_guide: null
                            user_tags: null
                            white_cover_url: null
                          user_buried: false
                          user_digged: 0
                      cursor: 20
                      extra:
                        api_debug_info: null
                        fatal_item_ids: null
                        now: 1770574475000
                      has_filtered_comments: 0
                      has_more: 1
                      log_pb:
                        impr_id: 20260208181435E472B60C3BA0929EFACB
                      reply_style: 2
                      status_code: 0
                      status_msg: ''
                      top_gifts: null
                      total: 2569
                    credits_used: 1
                    endpoint: tiktok/comments
                trimmed:
                  summary: Trimmed Response
                  value:
                    success: true
                    data:
                      success: true
                      comments:
                        '0':
                          aweme_id: '7251387037834595630'
                          text: You can’t Rick roll me I love this song
                          user:
                            account_labels: null
                            ad_cover_url: null
                            advance_feature_item_order: null
                            advanced_feature_info: null
                            avatar_thumb:
                              uri: >-
                                tos-useast8-avt-0068-tx2/f7a81546e91314dda01afc026eeff233
                              url_list:
                                '0': >-
                                  https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/f7a81546e91314dda01afc026eeff233~tplv-tiktokx-cropcenter:100:100.jpg?dr=9640&refresh_token=cbace1a2&x-expires=1770660000&x-signature=lX8s2E%2B4vmVz2zv9nKpXCaSXbMM%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast8
                                '1': >-
                                  https://p16-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/f7a81546e91314dda01afc026eeff233~tplv-tiktokx-cropcenter:100:100.jpg?dr=9640&refresh_token=bdfd42c6&x-expires=1770660000&x-signature=FRbSK1iVMhQ9DCqKU939v6QveS8%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast8
                                '2': >-
                                  https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/f7a81546e91314dda01afc026eeff233~tplv-tiktokx-cropcenter:100:100.jpeg?dr=9640&refresh_token=4611ef21&x-expires=1770660000&x-signature=FXHY4VeupBV%2FiQKNIZLrDF7LEuo%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast8
                              url_prefix: null
                            bold_fields: null
                            can_message_follow_status_list: null
                            can_set_geofencing: null
                            cha_list: null
                            cover_url: null
                            custom_verify: ''
                            enterprise_verify_reason: ''
                            events: null
                            followers_detail: null
                            geofencing: null
                            homepage_bottom_toast: null
                            item_list: null
                            mutual_relation_avatars: null
                            need_points: null
                            nickname: OnePlanet
                            platform_sync_info: null
                            predicted_age_group: '-1'
                            relative_users: null
                            search_highlight: null
                            sec_uid: >-
                              MS4wLjABAAAAHmEregfkxiGcEZexDX_RwtxElmRnlVWsrTIMcTwHcY-s7SgCwR8huf_07HCynoAZ
                            shield_edit_field_info: null
                            type_label: null
                            uid: '7153358223394817067'
                            unique_id: oneplanet.rr
                            user_profile_guide: null
                            user_tags: null
                            white_cover_url: null
                          create_time: 1693155594
                          reply_comment_total: 19
                          digg_count: 804
                          comment_language: en
                      cursor: 20
                      total: 2569
                    credits_used: 1
                    endpoint: tiktok/comments
        '400':
          description: Bad Request - Invalid parameters or missing required fields
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: 'Missing required parameter: handle'
                  endpoint:
                    type: string
                  credits_required:
                    type: integer
                required:
                  - error
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
                  docs:
                    type: string
                    example: https://docs.sociavault.com/authentication
                required:
                  - error
        '402':
          description: Payment Required - Insufficient credits
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient credits
                  required:
                    type: integer
                    example: 1
                    description: Credits required for this request
                  available:
                    type: integer
                    example: 0
                    description: Credits currently available
                required:
                  - error
                  - required
                  - available
        '500':
          description: Internal Server Error - Service configuration or processing error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Service configuration error
                required:
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`

        Get your API key from the [Dashboard](https://sociavault.com/dashboard).

````